#sorting_algos
...is bad :(

![[Pasted image 20231027193703.png]]

max numbers of compares: gaussian sum
min number: min number of inversions, inversions have probability $\frac{1}{2}$

#### stochastic analysis
![[Pasted image 20240125165058.png | 300]]